Bug 426712 - [PATCH] enchant : don't build static libs
[PATCH] enchant : don't build static libs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: enchant (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 14:23 EST by Michael Schwendt
Modified: 2008-07-10 14:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-10 14:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec patch against devel cvs (1.23 KB, patch)
2007-12-24 14:23 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2007-12-24 14:23:10 EST
The package builds the enchant-provider modules and the main
lib also as static archives:

$ rpmls enchant-devel|grep .a$
-rw-r--r--  /usr/lib/enchant/libenchant_aspell.a
-rw-r--r--  /usr/lib/enchant/libenchant_myspell.a
-rw-r--r--  /usr/lib/libenchant.a

It should only build the shared libraries.
Comment 1 Michael Schwendt 2007-12-24 14:23:10 EST
Created attachment 290356 [details]
spec patch against devel cvs
Comment 2 Bug Zapper 2008-05-14 00:14:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Marc Maurer 2008-07-10 14:32:57 EDT
Fixed in RAWHIDE, and pushed to f9-testing. Thanks!

Note You need to log in before you can comment on or make changes to this bug.